/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,uselessCode} checked by tsc
 */
import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { DynamicCheckboxModel, DynamicFormControlComponent, DynamicFormLayoutService, DynamicFormValidationService, } from "@wf-dynamic-forms/core";
export class DynamicFoundationCheckboxComponent extends DynamicFormControlComponent {
    /**
     * @param {?} layoutService
     * @param {?} validationService
     */
    constructor(layoutService, validationService) {
        super(layoutService, validationService);
        this.layoutService = layoutService;
        this.validationService = validationService;
        this.blur = new EventEmitter();
        this.change = new EventEmitter();
        this.focus = new EventEmitter();
    }
}
DynamicFoundationCheckboxComponent.decorators = [
    { type: Component, args: [{
                selector: "dynamic-foundation-checkbox",
                template: "<label [formGroup]=\"group\">\n\n    <input type=\"checkbox\"\n           [checked]=\"model.checked\"\n           [formControlName]=\"model.id\"\n           [id]=\"elementId\"\n           [indeterminate]=\"model.indeterminate\"\n           [name]=\"model.name\"\n           [ngClass]=\"getClass('element', 'control')\"\n           [required]=\"model.required\"\n           [tabindex]=\"model.tabIndex\"\n           [value]=\"model.value\"\n           (blur)=\"onBlur($event)\"\n           (change)=\"onChange($event)\"\n           (focus)=\"onFocus($event)\"/><span [ngClass]=\"[getClass('element', 'label'), getClass('grid', 'label')]\"\n                                            [innerHTML]=\"model.label\"></span></label>\n",
                changeDetection: ChangeDetectionStrategy.OnPush
            }] }
];
/** @nocollapse */
DynamicFoundationCheckboxComponent.ctorParameters = () => [
    { type: DynamicFormLayoutService },
    { type: DynamicFormValidationService }
];
DynamicFoundationCheckboxComponent.propDecorators = {
    group: [{ type: Input }],
    layout: [{ type: Input }],
    model: [{ type: Input }],
    blur: [{ type: Output }],
    change: [{ type: Output }],
    focus: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    DynamicFoundationCheckboxComponent.prototype.group;
    /** @type {?} */
    DynamicFoundationCheckboxComponent.prototype.layout;
    /** @type {?} */
    DynamicFoundationCheckboxComponent.prototype.model;
    /** @type {?} */
    DynamicFoundationCheckboxComponent.prototype.blur;
    /** @type {?} */
    DynamicFoundationCheckboxComponent.prototype.change;
    /** @type {?} */
    DynamicFoundationCheckboxComponent.prototype.focus;
    /** @type {?} */
    DynamicFoundationCheckboxComponent.prototype.layoutService;
    /** @type {?} */
    DynamicFoundationCheckboxComponent.prototype.validationService;
}
//# sourceMappingURL=dynamic-foundation-checkbox.component.js.map